#
# spec file for package python-anyjson
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define maj_version 0.3
Name:           python-anyjson
Version:        0.3.3+git.1298315003.7bb1d18
Release:        2.8
Summary:        Provide the best available JSON implementation available
License:        BSD-3-Clause
URL:            https://bitbucket.org/runeh/anyjson
# Currently the official upstream is dead, trying to send patches to
# https://github.com/kennethreitz-archive/anyjson
Source:         anyjson-%{version}.tar.gz
# PATCH-FIX-UPSTREAM port_to_py3k.patch gh#kennethreitz-archive/anyjson#2 mcepl@suse.com
# port to py3k and avoid nose (replace with pytest)
Patch0:         port_to_py3k.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

Originally part of carrot (https://github.com/ask/carrot/)

%prep
%setup -q -n anyjson-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc CHANGELOG README
%{python_sitelib}/anyjson/
%{python_sitelib}/anyjson-%{maj_version}-py*.egg-info

%changelog
* Thu Oct 13 2022 Dirk Müller <dmueller@suse.com>
- use https for urls
* Tue Feb  8 2022 mcepl@cepl.eu
- Update to version 0.3.3+git.1298315003.7bb1d18:
  * GitHub-like readmes
  * Added tag 0.3 for changeset b5d33ab23b8f
  * Bumped version number
  * Added python3 support (Thanks asksol)
  * Added tag 0.2.5 for changeset 40150de124d6
  * Bumped version, updated changelog
  * Added dumps/loads as aliases for serializ/deserialize so it's
    in line with the stdlib json module
  * Removed a newline in desc that caused problems when building
    RPMs (thanks csears)
  * Added tag 0.2.4 for changeset 6a0a193e51e4
  * Bumped version and updated changelog
- Add port_to_py3k.patch (gh#kennethreitz-archive/anyjson#2)
  which ports whole package to py3k and removes dependency on nose.
* Fri Dec 10 2021 Steve Kowalik <steven.kowalik@suse.com>
- Shorten the Summary to silence rpmlint.
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Aug 30 2017 toddrme2178@gmail.com
- Use pypi download URL and source
- Misc auto-conversion cleanups
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jul  3 2013 cfarrell@suse.com
- Add LICENSE to %%doc section
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
- spec improved (files section)
* Fri Jun 22 2012 alexandre@exatati.com.br
- Update to 0.3.3:
  * Fixed bug in buffer object support related to differences between
    stringIO and cStringIO
- Aditional changes from 0.3.2:
  * Added support for buffer objects
* Sat Mar 10 2012 saschpe@gmx.de
- Use upstream tarball
- Simplify macro usage
- Buildrequire python-distribute instead of setuptools
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard in spec file.
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sat Mar 26 2011 alexandre@exatati.com.br
- Add CHANGELOG and README file as documentation.
* Tue Mar 22 2011 alexandre@exatati.com.br
- Update to 0.3.1:
  * Added deprecation warning for cjson and made it the least preferred
    implementation. See: http://pypi.python.org/pypi/python-cjson/1.0.5
- Regenerates spec file with py2pack.
* Sat Dec  4 2010 alexandre@exatati.com.br
- Update to 0.3:
  * Added support for python3
* Fri Sep 10 2010 alexandre@exatati.com.br
- Update to 0.2.5;
- Spec file cleaned with spec-cleaner.
* Thu Jan 28 2010 alexandre@exatati.com.br
- Update to 0.2.3.
* Sat Sep 26 2009 alexandre@exatati.com.br
- Update to 0.2.2;
- Building as noarch for openSUSE >= 11.2.
* Tue Sep 22 2009 alexandre@exatati.com.br
- Initial package (0.2.1) for openSUSE.
